## org.mortbay.loadbalancer
Class NonBlockingQueue

    java.lang.Object
      |
      +--org.mortbay.loadbalancer.NonBlockingQueue

public class NonBlockingQueue
extends java.lang.Object

Constructor Summary
`NonBlockingQueue(int capacity)` Constructor.

Method Summary
`boolean` `isEmpty()`
`boolean` `isFull()`
`java.lang.Object` `next()`
`java.lang.Object` `peek()`
`boolean` `queue(java.lang.Object o)`
`int` `size()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonBlockingQueue

    public NonBlockingQueue(int capacity)

  Constructor.

Parameters:
  `capacity` -

Method Detail

### size

    public int size()

### isFull

    public boolean isFull()

### isEmpty

    public boolean isEmpty()

### queue

    public boolean queue(java.lang.Object o)

### peek

    public java.lang.Object peek()

### next

    public java.lang.Object next()

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.